package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import io.renren.modules.sys.entity.algs.Algorithm;
import io.renren.modules.sys.entity.algs.Algorithm_Vo;
import io.renren.modules.sys.entity.algs.FileTest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface AlgorithmMapper extends BaseMapper<Algorithm> {
    int deleteByPrimaryKey(Long algorithmId);

    int insert(Algorithm record);

    int insertSelective(Algorithm record);

    Algorithm selectByPrimaryKey(Long algorithmId);

    int updateByPrimaryKeySelective(Algorithm record);

    int updateByPrimaryKey(Algorithm record);

    Algorithm selectByAlgName(String algorithmName);




}